List groups
curl --request GET \
--url https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groupsimport requests
url = "https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"next": "NmEzZjljMjFlNGIwN2Q1YThjMTJmM2U5",
"items": [
{
"id": "8ae5ee60-6ebe-4d85-a056-8c1387763478",
"realm": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organization": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"name": "Finance approvers",
"memberIds": [
"e3553bc1-5e20-4e17-b22a-a796fda0aa99"
],
"status": "ACTIVE",
"memberCount": 1,
"members": [
{
"userId": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"firstName": "Mariana",
"lastName": "Costa",
"email": "mariana.costa@acme.com.br",
"status": "ACTIVE"
}
],
"description": "Approves payments above R$ 10,000",
"createdBy": "f1235202-71e0-49ef-a8ba-939b8d3ec945",
"updatedBy": "f1235202-71e0-49ef-a8ba-939b8d3ec945",
"createdAt": "2026-10-02T13:27:41.512Z",
"updatedAt": "2026-10-09T17:05:12.034Z"
}
]
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "IDENTITY",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "name",
"message": "Too big: expected string to have <=80 characters",
"code": "NAME_MAX"
}
]
}List groups
Lists the organization’s groups, sorted by name, with each member’s details.
GET
/
realms
/
{realmId}
/
organizations
/
{organizationId}
/
groups
List groups
curl --request GET \
--url https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groupsimport requests
url = "https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.identity.v2.portao3.com.br/realms/{realmId}/organizations/{organizationId}/groups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"next": "NmEzZjljMjFlNGIwN2Q1YThjMTJmM2U5",
"items": [
{
"id": "8ae5ee60-6ebe-4d85-a056-8c1387763478",
"realm": "f495ff0c-ab54-4f99-8e92-ca8682e4de9b",
"organization": "c4bd3f21-dfbd-44e8-8055-68ba15bed410",
"name": "Finance approvers",
"memberIds": [
"e3553bc1-5e20-4e17-b22a-a796fda0aa99"
],
"status": "ACTIVE",
"memberCount": 1,
"members": [
{
"userId": "e3553bc1-5e20-4e17-b22a-a796fda0aa99",
"firstName": "Mariana",
"lastName": "Costa",
"email": "mariana.costa@acme.com.br",
"status": "ACTIVE"
}
],
"description": "Approves payments above R$ 10,000",
"createdBy": "f1235202-71e0-49ef-a8ba-939b8d3ec945",
"updatedBy": "f1235202-71e0-49ef-a8ba-939b8d3ec945",
"createdAt": "2026-10-02T13:27:41.512Z",
"updatedAt": "2026-10-09T17:05:12.034Z"
}
]
}{
"traceId": "1-68ee2a1b-3c4d5e6f7a8b9c0d1e2f3a4b",
"code": "BAD_REQUEST",
"origin": "IDENTITY",
"message": "Bad Request: Your request is invalid or incomplete. Please make sure you are requesting with the right fields.",
"fields": [
{
"field": "name",
"message": "Too big: expected string to have <=80 characters",
"code": "NAME_MAX"
}
]
}Archived groups are not listed; you can still get one by its ID.
Path Parameters
ID of your realm.
Format: UUID
ID of the organization whose groups you want to list.
Format: UUID
Query Parameters
Only groups whose name contains this text (case-insensitive).
Maximum string length:
80Cursor returned as next by the previous page. Omit for the first page.
Page size.
Required range:
1 <= x <= 100